Pular para o conteúdo principal
GET
/
monitor
/
{monitorId}
/
checks
/
{checkId}
Obter uma verificação de monitor
curl --request GET \
  --url https://api.firecrawl.dev/v2/monitor/{monitorId}/checks/{checkId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "actualCredits": 123,
    "billingStatus": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "error": "<string>",
    "estimatedCredits": 123,
    "finishedAt": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "notificationStatus": {},
    "reservedCredits": 123,
    "scheduledFor": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "summary": {
      "changed": 123,
      "error": 123,
      "new": 123,
      "removed": 123,
      "same": 123,
      "totalPages": 123
    },
    "targetResults": "<array>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "next": "<string>",
    "pages": [
      {
        "createdAt": "2023-11-07T05:31:56Z",
        "currentScrapeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "diff": {
          "json": {},
          "text": "<string>"
        },
        "error": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "judgment": {
          "meaningful": true,
          "meaningfulChanges": [
            {
              "after": "<string>",
              "before": "<string>",
              "reason": "<string>"
            }
          ],
          "reason": "<string>"
        },
        "metadata": {},
        "previousScrapeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "snapshot": {
          "json": {}
        },
        "statusCode": 123,
        "targetId": "<string>",
        "url": "<string>"
      }
    ]
  },
  "next": "<string>",
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

monitorId
string<uuid>
obrigatório

O ID do monitor

checkId
string<uuid>
obrigatório

O ID da verificação de monitor

Parâmetros de consulta

limit
integer
padrão:25
Intervalo obrigatório: 1 <= x <= 100
skip
integer
padrão:0

Número de resultados a ignorar na página. Use a URL next da resposta anterior para paginação.

Intervalo obrigatório: x >= 0
status
enum<string>
Opções disponíveis:
same,
new,
changed,
removed,
error

Resposta

Detalhes da verificação de monitor

data
object
next
string | null

URL para buscar a próxima página de resultados de páginas da verificação do monitor, se houver.

success
boolean